KRB_SET_TKT_STRING(3)

NAME
krb_set_tkt_string - set Kerberos ticket cache file name

SYNOPSIS
#include <kerberosIV/krb.h>

void krb_set_tkt_string(filename)
char *filename;

DESCRIPTION
krb_set_tkt_string sets the name of the file that holds the user's cache of Kerberos server tickets and associated session keys.

The string filename passed in is copied into local storage. Only MAXPATHLEN-1 (see <sys/param.h>) characters of the filename are copied in for use as the cache file name.

This routine should be called during initialization, before other Kerberos routines are called; otherwise the routines which fetch the ticket cache file name may be called and return an undesired ticket file name until this routine is called.

FILES

/tmp/tkt[uid]
    default ticket file name, unless the environment variable KRBTKFILE is set. [uid] denotes the user's uid, in decimal.

SEE ALSO
kerberos(3), setenv(3)